
Infrastructure - Task #166

Create a metapackage for installing Mercury dependencies

2010-01-13 16:11 - Dave Vieglais

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Giri Palanisamy % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: CCI-0.3 Deployed   

Milestone: None Story Points:  

Product Version: *   

Description

Mercury dependencies need to be described in a metapackage for installation on the development CN (and later on production CNs).

Examples at source:software/cicore/trunk/cn-buildout/SystemConfiguration.txt

History

#1 - 2010-01-14 08:38 - Matthew Jones

I created a stub package for installing and configuring Mercury.  The package is called dataone-cn-mercury, and it has been added to the

cn-buildout/Makefile so that it is automatically built and installed using 'make install'.  This package now installs mysql automatically -- contact me for

the password to do further mysql customization.

Still need to fully specify the mercury dependencies, add the software to be installed, and develop the postinst script to be run to handle any

configuration tasks.

#2 - 2010-08-13 23:06 - Dave Vieglais

- Status changed from New to Closed
